Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.webservice
Class PotentialDuplicateResult

    java.lang.Object
      com.sun.mdm.index.webservice.PotentialDuplicateResult

public class PotentialDuplicateResult
extends java.lang.Object

Constructor Summary
`PotentialDuplicateResult()`
`PotentialDuplicateResult(PotentialDuplicateSummary pds)`

Method Summary
`java.util.Date` | `getCreateDate()` Retrieves the date the potential duplicate listing was created from the PotentialDuplicateResult object.
`java.lang.String` | `getCreateUser()` Retrieves the create user ID from the PotentialDuplicateResult object.
`java.lang.String` | `getEUID1()` Retrieves the value of the first EUID from the PotentialDuplicateResult object.
`java.lang.String` | `getEUID2()` Retrieves the value of the second EUID from the PotentialDuplicateResult object.
`java.lang.String` | `getId()` Retrieves the value of the potential duplicate ID from the PotentialDuplicateResult object.
`java.lang.String` | `getReason()` Retrieves the reason the records in the PotentialDuplicateResult object were marked as potential duplicates.
`java.lang.String` | `getResolvedComment()` Retrieves the comment generated when the potential duplicate records in the PotentialDuplicateResult object were resolved.
`java.util.Date` | `getResolvedDate()` Retrieves the date the potential duplicate listing was resolved from the PotentialDuplicateResult object.
`java.lang.String` | `getResolvedUser()` Retrieves the resolved user ID from the PotentialDuplicateResult object.
`java.lang.String` | `getStatus()` Retrieves the value of the potential duplicate status of the records in the PotentialDuplicateResult object.
`java.lang.String` | `getSystemCode()` Retrieves the system code from the PotentialDuplicateResult object.
`float` | `getWeight()` Retrieves the matching probability weight of the records in the PotentialDuplicateResult object.
`void` | `setCreateDate(java.util.Date createDate)` Set the date the potential duplicate listing was created for the PotentialDuplicateResult object.
`void` | `setCreateUser(java.lang.String createUser)` Set the Create User ID for the PotentialDuplicateResult object.
`void` | `setEUID1(java.lang.String euid1)` Set the value of the first EUID for the PotentialDuplicateResult object.
`void` | `setEUID2(java.lang.String euid2)` Set the value of the second EUID for the PotentialDuplicateResult object.
`void` | `setId(java.lang.String id)` Set the value of the potential duplicate ID for the PotentialDuplicateResult object.
`void` | `setReason(java.lang.String reason)` Set the reason for the PotentialDuplicateResult object.
`void` | `setResolvedComment(java.lang.String comment)` Set the comment generated when the potential duplicate records were resolved for the PotentialDuplicateResult object.
`void` | `setResolvedDate(java.util.Date resolvedDate)` Set the date the potential duplicate listing was resolved for the PotentialDuplicateResult object.
`void` | `setResolvedUser(java.lang.String resolvedUser)` Set the resolved user ID for the PotentialDuplicateResult object.
`void` | `setStatus(java.lang.String status)` Sets the status for a PotentialDuplicateResult object.
`void` | `setSystemCode(java.lang.String systemCode)` Set the System Code for the PotentialDuplicateResult object.
`void` | `setWeight(float weight)` Set the weight for the PotentialDuplicateResult object.
`java.lang.String` | `toString()` Retrieves a string representation of the potential duplicate ID, EUID1, EUID2, and weight fields from the PotentialDuplicateResult object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PotentialDuplicateResult

    public PotentialDuplicateResult()
                             throws ObjectException

### PotentialDuplicateResult

    public PotentialDuplicateResult(PotentialDuplicateSummary pds)
                             throws ObjectException

Method Detail

### getCreateDate

    public java.util.Date getCreateDate()
                                 throws ObjectException

  Retrieves the date the potential duplicate listing was created from the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The create date of the potential duplicate listing.
  Throws:
    `ObjectException` - Thrown if the date could not be retrieved.

### getCreateUser

    public java.lang.String getCreateUser()
                                   throws ObjectException

  Retrieves the create user ID from the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    `ObjectException` - Thrown if the user ID could not be retrieved.

### getEUID1

    public java.lang.String getEUID1()
                              throws ObjectException

  Retrieves the value of the first EUID from the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if the EUID could not be retrieved.

### getEUID2

    public java.lang.String getEUID2()
                              throws ObjectException

  Retrieves the value of the second EUID from the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if the EUID could not be retrieved.

### getId

    public java.lang.String getId()
                           throws ObjectException

  Retrieves the value of the potential duplicate ID from the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `String` - The value of the potential duplicate ID.
  Throws:
    `ObjectException` - Thrown if the ID could not be retrieved.

### getReason

    public java.lang.String getReason()
                               throws ObjectException

  Retrieves the reason the records in the PotentialDuplicateResult object were marked as potential duplicates.

  Parameters:
    None.

  Returns:
    `String` - The reason for the potential duplication.
  Throws:
    `ObjectException` - Thrown if the reason could not be retrieved.

### getResolvedComment

    public java.lang.String getResolvedComment()
                                        throws ObjectException

  Retrieves the comment generated when the potential duplicate records in the PotentialDuplicateResult object were resolved.

  Parameters:
    None.

  Returns:
    `String` - A comment describing the resolution.
  Throws:
    `ObjectException` - Thrown if the comment could not be retrieved.

### getResolvedDate

    public java.util.Date getResolvedDate()
                                   throws ObjectException

  Retrieves the date the potential duplicate listing was resolved from the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The resolved date of the potential duplicate listing.
  Throws:
    `ObjectException` - Thrown if the date could not be retrieved.

### getResolvedUser

    public java.lang.String getResolvedUser()
                                     throws ObjectException

  Retrieves the resolved user ID from the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    `ObjectException` - Thrown if the user ID could not be retrieved.

### getStatus

    public java.lang.String getStatus()
                               throws ObjectException

  Retrieves the value of the potential duplicate status of the records in the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `String` - The status of the potential duplicate records. One of these values is returned:
    - A - Indicates the pair has been auto resolved.
    - R - Indicates the pair has been resolved.
    - Unresolved.
  Throws:
    `ObjectException` - Thrown if the status could not be retrieved.

### getSystemCode

    public java.lang.String getSystemCode()
                                   throws ObjectException

  Retrieves the system code from the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `String` - The processing code of the system that caused the potential duplication.
  Throws:
    `ObjectException` - Thrown if the system code could not be retrieved.

### getWeight

    public float getWeight()
                    throws ObjectException

  Retrieves the matching probability weight of the records in the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `Float` - The matching probability weight between two records.
  Throws:
    `ObjectException` - Thrown if the weight could not be retrieved.

### setCreateDate

    public void setCreateDate(java.util.Date createDate)
                       throws ObjectException

  Set the date the potential duplicate listing was created for the PotentialDuplicateResult object.

  Parameters:
    `createDate` - A Date containing the creation date
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the creation date could not be set.

### setCreateUser

    public void setCreateUser(java.lang.String createUser)
                       throws ObjectException

  Set the Create User ID for the PotentialDuplicateResult object.

  Parameters:
    `createUser` - A String containing the Create User ID
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the Create User ID could not be set.

### setEUID1

    public void setEUID1(java.lang.String euid1)
                  throws ObjectException

  Set the value of the first EUID for the PotentialDuplicateResult object.

  Parameters:
    `euid1` - A string containing the first EUID
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the first EUID could not be set.

### setEUID2

    public void setEUID2(java.lang.String euid2)
                  throws ObjectException

  Set the value of the second EUID for the PotentialDuplicateResult object.

  Parameters:
    `euid2` - A string containing the second EUID
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the second EUID could not be set.

### setId

    public void setId(java.lang.String id)
               throws ObjectException

  Set the value of the potential duplicate ID for the PotentialDuplicateResult object.

  Parameters:
    `id` - A string containing a potential duplicate ID
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the ID could not be set.

### setReason

    public void setReason(java.lang.String reason)
                   throws ObjectException

  Set the reason for the PotentialDuplicateResult object.

  Parameters:
    `reason` - A string containing the reason
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the reason could not be set.

### setResolvedComment

    public void setResolvedComment(java.lang.String comment)
                            throws ObjectException

  Set the comment generated when the potential duplicate records were resolved for the PotentialDuplicateResult object.

  Parameters:
    `comment` - A String containing the resolved comment
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the resolved comment could not be set.

### setResolvedDate

    public void setResolvedDate(java.util.Date resolvedDate)
                         throws ObjectException

  Set the date the potential duplicate listing was resolved for the PotentialDuplicateResult object.

  Parameters:
    `resolvedDate` - A Date containing the resolving date
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the resolving date could not be set.

### setResolvedUser

    public void setResolvedUser(java.lang.String resolvedUser)
                         throws ObjectException

  Set the resolved user ID for the PotentialDuplicateResult object.

  Parameters:
    `resolvedUser` - A String containing the resolved user ID
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the resolved user ID could not be set.

### setStatus

    public void setStatus(java.lang.String status)
                   throws ObjectException

  Sets the status for a PotentialDuplicateResult object.

  Parameters:
    `status` - A string containing a status. Possible values are:
    - A - Indicates the pair has been auto resolved.
    - R - Indicates the pair has been resolved.
    - Unresolved.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the status could not be set.

### setSystemCode

    public void setSystemCode(java.lang.String systemCode)
                       throws ObjectException

  Set the System Code for the PotentialDuplicateResult object.

  Parameters:
    `systemCode` - A String containing the System Code
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the System Code could not be set.

### setWeight

    public void setWeight(float weight)
                   throws ObjectException

  Set the weight for the PotentialDuplicateResult object.

  Parameters:
    `weight` - A float containing the weight
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the weight could not be set.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the potential duplicate ID, EUID1, EUID2, and weight fields from the PotentialDuplicateResult object.

  Parameters:
    None.

  Returns:
    `String` - The potential duplicate ID, EUID1, EUID2, and weight field values.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.